#include "ui_mainwindowview.h"
#include "config.h"
#include <QWidget>

class QProcess;
 
class MainWindow : public QWidget, public Ui::MainWindowView
{
	Q_OBJECT
 
public:
	MainWindow();
	
private slots:
	void abort();
	void browseInputFile();
	void browseOutputFile();
	void read();
	void setConversionType();
	void start();
	
private:
	void encodeError();
	void finish();
	Config *configDialog;
	int timeH, timeM, timeS, totalTime;
	QProcess *process;
	QString inExt, outExt, OUTEXT;
};
