#ifndef __CONFIG_H__
#define __CONFIG_H__

#include <QDialog>
#include "ui_configview.h"

class QSettings;

class Config : public QDialog, public Ui::ConfigView
{
Q_OBJECT
public:
	Config ( QWidget *parent = 0 );
	
private slots:
	void changePage ( QListWidgetItem *current, QListWidgetItem *previous );
	void loadSettings();
	void ok() { save(); close(); } ;
	//void refresh();
	void restore();
	void save();
};

#endif // __CONFIG_H__
