#include <QApplication>
#include <QSettings>
#include <QString>
#include <QTranslator>

#include "config.h"
#include "mainwindow.h"
 
int main ( int argc, char *argv[] )
{
	QApplication app ( argc, argv );
	
	QSettings settings ( "user", "QFlv2Avi" );
	QString lang = settings.value ( "lang", QString ( "en" ) ).toString();
	QTranslator translator;
	translator.load ( QString ( "translations/" ).append ( lang ) );
	app.installTranslator ( &translator );
	
	MainWindow mainWin;
	mainWin.show();
	return app.exec();
}
